Error
A valid request URL is required to generate request examples{
"success": true,
"data": {
"id": "<string>",
"status": "<string>",
"outputUrl": "<string>",
"error": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}Generation status
Poll music status
Poll a music generation job — returns the latest status and finished audio tracks with stream and download URLs when complete.
GET
/
music
/
status
/
{id}
Error
A valid request URL is required to generate request examples{
"success": true,
"data": {
"id": "<string>",
"status": "<string>",
"outputUrl": "<string>",
"error": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}Poll music generation jobs created via Create song.
Use the
Example response:
When
id returned from the create response. Poll every few seconds until status is COMPLETED or FAILED.
curl "https://mvp.tryunsora.com/api/v1/music/status/GENERATION_ID" \
-H "Authorization: Bearer uns_YOUR_API_KEY"
{
"success": true,
"data": {
"id": "cm123...",
"status": "COMPLETED",
"outputUrl": "https://files.tryunsora.com/....mp3",
"error": null,
"createdAt": "2026-06-10T12:00:00.000Z",
"updatedAt": "2026-06-10T12:02:30.000Z",
"completedAt": "2026-06-10T12:02:30.000Z"
}
}
status is COMPLETED, download the audio from outputUrl.
